summaryrefslogtreecommitdiffstats
path: root/hosts
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2018-01-23 22:14:30 (EST)
committer P. J. McDermott <pj@pehjota.net>2018-04-21 11:12:33 (EDT)
commit7ddbc6e090322ff856de2b6bd49e5e2c8d8365a1 (patch)
treeca80a466a51788005a7292259cf53548204f9504 /hosts
parent8ed04aa78b9422f035ee5b79a2ff0d7853ad33ff (diff)
downloadpc-inst-7ddbc6e090322ff856de2b6bd49e5e2c8d8365a1.zip
pc-inst-7ddbc6e090322ff856de2b6bd49e5e2c8d8365a1.tar.gz
pc-inst-7ddbc6e090322ff856de2b6bd49e5e2c8d8365a1.tar.bz2
logi1: Install skippy-xd
Diffstat (limited to 'hosts')
-rw-r--r--hosts/logi1/postinst16
1 files changed, 16 insertions, 0 deletions
diff --git a/hosts/logi1/postinst b/hosts/logi1/postinst
index aa5054e..9306387 100644
--- a/hosts/logi1/postinst
+++ b/hosts/logi1/postinst
@@ -116,6 +116,22 @@ in_target sudo -u pj sh <<-EOF
EOF
[ ${?} -ne 0 ] && return 1
+# Install skippy-xd.
+in_target sudo -u pj sh <<-EOF
+ set -e
+ git clone https://github.com/richardgv/skippy-xd \
+ /home/pj/src/skippy-xd/
+ cd /home/pj/src/skippy-xd/
+ make
+ EOF
+[ ${?} -ne 0 ] && return 1
+in_target sh <<-EOF
+ set -e
+ cd /home/pj/src/skippy-xd/
+ make PREFIX=/usr/local install
+ EOF
+[ ${?} -ne 0 ] && return 1
+
# Download wallpaper.
in_target sudo -u pj wget -O /home/pj/.wallpaper \
http://product-files.libiquity.com/taurinus/boot-splash/x200/background.png